{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function entid, repository, send_event\r\ndeclare subroutine rlist\r\n$insert popup_equates\r\n$insert rlist_equates\r\n\r\nSelPos = .EDT_PSNS->selpos\r\nCurRow = SelPos<2>\r\nPopRec = entid( @appid<1>, 'POPUP', '', 'SHOW_PROD_SPEC' )\r\nOverRide = ''\r\nOverRide<pselect$> = 2\r\nStmt = 'SELECT PROD_SPEC BY-DSND SEQ'\r\nrlist( Stmt, target_activelist$, '', '', '' )\r\nChoosen = repository( 'EXECUTE', PopRec, @window, OverRide )\r\nif Choosen then\r\n    convert @fm to @vm in Choosen\r\n\tCurArray = .EDT_PSNS->array\r\n\tCurArray = delete( CurArray, 1, CurRow, 0 )\r\n\tCurArray = insert( CurArray, 1, CurRow, 0, Choosen )\r\n\t.EDT_PSNS->Array = CurArray   \r\nend\r\nRETURN 0"
        }
    }
}